### Name: SEIR.MH
### Title: Fit a partially observed SEIR general epidemic model.
### Aliases: SEIR.MH
### Keywords: models optimize

### ** Examples
 
        data(smallpox) 
        priors <- list(infectionRate = c(1.00,0.01),
                latencyRate = c(1.00,0.01),
                removalRate = c(1.00,0.01), 
                theta = c(0.01,0.01))
        validStartTimes <- getValidSEIR(119,smallpox,13)
        temp <- SEIR.MH(N=119,
                infectionTimes=validStartTimes$infectionTimes,
                latencyTimes=validStartTimes$latencyTimes,
                removalTimes=smallpox, priorValues=priors,
                bayesReps=1000,burnIn=500,bayesThin=1)
        summary(temp$infRateSEIR)
        summary(temp$remRateSEIR)
        summary(temp$infectiousPeriod)
        summary(temp$reproductionNumber)



