### Name: SIR.MH
### Title: Fit a partially observed Markovian/nonMarkovian SIR general
###   epidemic model
### Aliases: SIR.MH
### Keywords: models optimize

### ** Examples

    data(smallpox)
    priors <- list(infectionRate = c(0.0,0.0), removalRate = c(0.0,0.0), theta = 0) 
    temp <- SIR.MH(N=119,removalTimes=smallpox, priorValues=priors,
        bayesReps=1000,burnIn=500,bayesThin=1,infectious.density = "exponential")
    summary(temp$infRateSIR)
    summary(temp$remRateSIR)
    summary(temp$infectiousPeriod)
    summary(temp$reproductionNumber)
    #
    #
    priors <- list(infectionRate = c(0.0,0.0), 
        infectiousScale = c(0.0,0.0), infectiousShape = c(0.0,0.0),
        theta = c(1,0))
    temp <- SIR.MH(N=119,removalTimes=smallpox, priorValues=priors,
        bayesReps=1000,burnIn=500,bayesThin=1,infectious.density = "gamma")
    summary(temp$infRateSIR)
    summary(temp$infScaleSIR)
    summary(temp$infShapeSIR)
    summary(temp$infectiousPeriod)
    summary(temp$reproductionNumber)
    #
    #
    priors <- list(infectionRate = c(0.0,0.0), 
        infectiousScale = c(0.0,0.0), infectiousShape = c(0.0,0.0))
    temp <- SIR.MH(N=119,removalTimes=smallpox, priorValues=priors,
        bayesReps=1000,burnIn=500,bayesThin=1,infectious.density = "weibull")
    summary(temp$infRateSIR)
    summary(temp$infScaleSIR)
    summary(temp$infShapeSIR)
    summary(temp$infectiousPeriod)
    summary(temp$reproductionNumber)



