### Name: fLatentSEIR.MH
### Title: Fit a partially observed SEIR general epidemic model with fixed
###   latency duration.
### Aliases: fLatentSEIR.MH
### Keywords: models optimize

### ** Examples
 
    data(smallpox) 
    priors <- list(infectionRate = c(1.0,0.01), removalRate = c(1.0,0.01), theta = c(0,0)) 
    temp <- fLatentSEIR.MH(N=119,
        removalTimes=smallpox, priorValues=priors,
        fixedLatencyDuration = 10, bayesReps=1000,
        burnIn=500,bayesThin=1)
    summary(temp$infRateSEIR)
    summary(temp$remRateSEIR)
    summary(temp$infectiousPeriod)
    summary(temp$reproductionNumber)
    #
    #
    priors <- list(infectionRate = c(1.00,0.01),
        infectiousScale = c(1.0,0.01), infectiousShape = c(1.0,0.01), 
        theta = c(1.0,0.01))
    temp <- fLatentSEIR.MH(N=119,
        removalTimes=smallpox, priorValues=priors,
        fixedLatencyDuration = 10, bayesReps=1000,
        burnIn=500,bayesThin=1,infectious.density = "gamma")
    summary(temp$infRateSEIR)
    summary(temp$infScaleSEIR)
    summary(temp$infShapeSEIR)
    summary(temp$infectiousPeriod)
    summary(temp$reproductionNumber)
    #
    #
    priors <- list(infectionRate = c(1.00,0.01),
        infectiousScale = c(1.0,0.01), infectiousShape = c(1.0,0.01))
    temp <- fLatentSEIR.MH(N=119,
        removalTimes=smallpox, priorValues=priors,
        fixedLatencyDuration = 10, bayesReps=1000,
        burnIn=500,bayesThin=1,infectious.density = "weibull")
    summary(temp$infRateSEIR)
    summary(temp$infScaleSEIR)
    summary(temp$infShapeSEIR)
    summary(temp$infectiousPeriod)
    summary(temp$reproductionNumber)



